package com.tofly.watermeter.custom.service.sxj;

/**
 * @author bubble
 */
public interface SynchronousAboutService {

    /**
     * 同步抄表区域
     */
    void syncArea();

    /**
     * 同步水表厂家
     */
    void syncFactory();

    /**
     * 同步用水性质
     */
    void synUseNatures();

    /**
     * 获取客户信息
     */
    void synCustomerInfo();

    /**
     * 获取抄表本
     */
    void synMeterReading();

    /**
     * 获取水表口径
     */
    void synTableCaliber();

    /**
     * 获取水表类型
     */
    void synTableType();

    /**
     * 初始化区域区段
     * @return
     */
    boolean initRegionSection();

    /**
     * 同步森鑫炬抄表历史记录
     * @param flag 是否清除数据 0 否 1 是
     * @return boolean
     */
    boolean syncReadHisRecord(Integer flag,String yearMonth);

    /**
     * 处理未同步抄表数据
     * @return boolean
     */
    boolean handleNotSyncReadWater();


    /**
     * 同步抄表数据
     * @return true
     */
    boolean synchronousReadMeter();

    /**
     * 查询当天是否有开户用户
     * @return boolean
     */
    boolean queryAccountUser();

}
